# Generated by Django 3.1.7 on 2021-06-03 13:25

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('examinator', '0006_kanalpretplate_aktivan'),
    ]

    operations = [
        migrations.CreateModel(
            name='PodrazumevaniFilteri',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('modul', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='examinator.modul')),
                ('smer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='examinator.smer')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddConstraint(
            model_name='podrazumevanifilteri',
            constraint=models.UniqueConstraint(fields=('user',), name='one-per-user'),
        ),
    ]
